Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf
Class PdfWriter.PdfBody.PdfCrossReference

    java.lang.Object
      com.lowagie.text.pdf.PdfWriter.PdfBody.PdfCrossReference

All Implemented Interfaces:
  Comparable

Enclosing class:
  PdfWriter.PdfBody

    static class PdfWriter.PdfBody.PdfCrossReference

extends Object
implements Comparable

`PdfCrossReference` is an entry in the PDF Cross-Reference table.

Field Summary
`private int` | `generation` generation of the object.
`private int` | `offset` Byte offset in the PDF file.
`private int` | `refnum`
`private int` | `type`

Constructor Summary
`PdfWriter.PdfBody.PdfCrossReference(int refnum, int offset)` Constructs a cross-reference element for a PdfIndirectObject.
`PdfWriter.PdfBody.PdfCrossReference(int refnum, int offset, int generation)` Constructs a cross-reference element for a PdfIndirectObject.
`PdfWriter.PdfBody.PdfCrossReference(int type, int refnum, int offset, int generation)`

Method Summary
`int` | `compareTo(Object o)`
`boolean` | `equals(Object obj)`
`(package private) int` | `getRefnum()`
`int` | `hashCode()`
`void` | `toPdf(int midSize, OutputStream os)` Writes PDF syntax to the OutputStream
`void` | `toPdf(OutputStream os)` Returns the PDF representation of this `PdfObject`.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    private int type

### offset

    private int offset

  Byte offset in the PDF file.

### refnum

    private int refnum

### generation

    private int generation

  generation of the object.

Constructor Detail

### PdfWriter.PdfBody.PdfCrossReference

    PdfWriter.PdfBody.PdfCrossReference(int refnum,
                                        int offset,
                                        int generation)

  Constructs a cross-reference element for a PdfIndirectObject.

  Parameters:
    `refnum` -
    `offset` - byte offset of the object
    `generation` - generationnumber of the object

### PdfWriter.PdfBody.PdfCrossReference

    PdfWriter.PdfBody.PdfCrossReference(int refnum,
                                        int offset)

  Constructs a cross-reference element for a PdfIndirectObject.

  Parameters:
    `refnum` -
    `offset` - byte offset of the object

### PdfWriter.PdfBody.PdfCrossReference

    PdfWriter.PdfBody.PdfCrossReference(int type,
                                        int refnum,
                                        int offset,
                                        int generation)

Method Detail

### getRefnum

    int getRefnum()

### toPdf

    public void toPdf(OutputStream os)
               throws IOException

  Returns the PDF representation of this `PdfObject`.

  Parameters:
    `os` -
  Throws:
    `IOException`

### toPdf

    public void toPdf(int midSize,
                      OutputStream os)
               throws IOException

  Writes PDF syntax to the OutputStream

  Parameters:
    `midSize` -
    `os` -
  Throws:
    `IOException`

### compareTo

    public int compareTo(Object o)

  Specified by:
    `compareTo` in interface `Comparable`
  See Also:
    `Comparable.compareTo(java.lang.Object)`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD